Skip to content

List registrations

Request

The endpoint receives as path param project id. Supports optional query parameters to narrow the results and cursor based pagination.

Security
OAuth2(Required scopes: read)
Path
projectIdstringrequired

Customer's project id

Query
registrationStatestring

Status of the registration.

Enum ValueDescription
DRAFT

Registration not submitted by the customer. This functionality is not available through Public API, but it is possible to retrieve a registration created in the Sinch Customer Dashboard under the same project Id.

IN_QUEUE

Registration has been successfully submitted, but it is waiting for support.

IN_PROGRESS

Registration is being processing by Sinch.

APPROVED

Registration has been approved and sender ID has been provisioned for the customer.

REJECTED

Registration has been rejected. A comment should be present in the logs with the reason.

PENDING

Registration must be updated by the customer. Please check the registration logs to understand the reason.

ON_HOLD

Registration is on hold for any reason. Please check the comments in the logs.

PENDING_APPROVAL

For those policies with MANUAL price, Account Managers must approve the operation. Until registration has the approval it will stay in this state.

PENDING_ATTACHMENTS

Registration has been submitted, but at least one mandatory attachment must be provided.

Example:registrationState=IN_QUEUE
tagsArray of strings

User tags used for the registration. Tag have to start from # and contains only alphanumerics and dashes.

Example:tags=#tag1&tags=#tag2
marketCodestring^[A-Z]{2}$

Filter by ISO market code (ex. 'IT', 'AU', 'KW', etc.)

Example:marketCode=MK
createDateFromstring

Date of registration creation, ISO 8601 format. Returns registrations created after given date.

Example:createDateFrom=2024-11-03
createDateTostring

Date of registration creation, ISO 8601 format. Returns registrations created before given date.

Example:createDateTo=2024-11-03
updateDateFromstring

Date of registration update, ISO 8601 format. Returns registrations update after given date.

Example:updateDateFrom=2024-11-03
updateDateTostring

Date of registration update, ISO 8601 format. Returns registrations updated before given date.

Example:updateDateTo=2024-11-03
senderIdstring

Sender ID value.

Example:senderId=sender ID
orderBystring

Ordering of the results: field name with an optional order separated by a comma. Fields that support ordering are 'id', 'status', 'senderId', 'createDate', 'updateDate' with possible ordering 'desc' or 'asc'

Example:orderBy=senderId,asc
pageSizeinteger, (int32)

Size of the page to be returned.

Example:pageSize=100
pageTokenstring

Page token to request subsequent pages when using pagination. This should be the value generated by a system in a previous list request.

registrationTypestring, (enum)

Registration type for market used in registration is for. There are different markets available depending on this type

Default:"ALPHANUMERIC_SENDER_ID"
Enum ValueDescription
ALPHANUMERIC_SENDER_ID

Alpha sender IDs

LONG_NUMBER

Long Numbers for SMS

SHORT_CODE

Short Codes for SMS

RCS_AGENT

RCS agent

curl -i -X GET \
  'https://senderid.registrations.api.sinch.com/v1/projects/{projectId}/registrations?registrationState=IN_QUEUE&tags=%23tag1%2C%23tag2&marketCode=MK&createDateFrom=2024-11-03&createDateTo=2024-11-03&updateDateFrom=2024-11-03&updateDateTo=2024-11-03&senderId=sender%20ID&orderBy=senderId%2Casc&pageSize=100&pageToken=string&registrationType=ALPHANUMERIC_SENDER_ID' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
nextPageTokenstring

Page token that can be used to retrieve next page of registrations if they exist. Will be empty if next page does not exist

registrationsArray of objects(GetRegistrationResponse)

List of registrations

totalSizeinteger, (int32)

Total count of registrations matching provided search criteria

Response
{ "nextPageToken": "string", "registrations": [ { … } ], "totalSize": 0 }
We'd love to hear from you!
Rate this content: